- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Classes | Typedefs | Functions
AL::urdf Namespace Reference

## Namespaces
| detail
| robot

## Classes
class | RobotTree
struct | ScalarArrayTranslator
class | Pose
class | Mimic
class | Joint
class | Inertial
class | Box
class | Cylinder
class | Sphere
class | Mesh
class | Visual
class | Link
class | UrdfDotPrinterVisitor

## Typedefs
typedef boost::property_tree::ptree | ptree
typedef std::array< double, 3 > | Array3d
typedef RobotTree::JointConstVisitor | JointConstVisitor
typedef RobotTree::JointVisitor | JointVisitor
using | Array3dTranslator = ScalarArrayTranslator< double, 3 >
using | Geometry = boost::variant< Box, Cylinder, Sphere, Mesh >

## Functions
bool | is_zero (const Array3d &a)
bool | is_ones (const Array3d &a)
ALMATH_API std::string | name (const ptree &pt)
ALMATH_API std::string | parent_link (const ptree &pt)
ALMATH_API std::string | child_link (const ptree &pt)
bool | operator== (const Pose &lhs, const Pose &rhs)
bool | operator!= (const Pose &lhs, const Pose &rhs)
bool | is_identity (const Pose &p)
ALMATH_API void | makeJointFixed (RobotTree &parser, const std::string &name)
ALMATH_API void | makeJointFloating (RobotTree &parser, const std::string &name)
ALMATH_API std::vector < std::string > | makeContinuousJointsFixed (RobotTree &parser)
ALMATH_API void | squashJointMass (RobotTree &parser, const std::string &name)
ALMATH_API void | squashFixedJointsMass (RobotTree &parser)
ALMATH_API std::vector < std::string > | makeMasslessJointsFixed (RobotTree &parser)
ALMATH_API std::vector < std::string > | removeSubTreeIfJoint (RobotTree &parser, std::function< bool(const ptree &joint)> pred)
ALMATH_API void | put_name (ptree &pt, const std::string &name)

## Typedef Documentation

typedef std::array<double, 3> AL::urdf::Array3d

Definition at line 66 of file urdf.h.

using AL::urdf::Array3dTranslator = typedef ScalarArrayTranslator<double, 3>

Definition at line 316 of file urdf.h.

using AL::urdf::Geometry = typedef boost::variant<Box, Cylinder, Sphere, Mesh>

Definition at line 431 of file urdf.h.

typedef RobotTree::JointConstVisitor AL::urdf::JointConstVisitor

Definition at line 265 of file urdf.h.

typedef RobotTree::JointVisitor AL::urdf::JointVisitor

Definition at line 266 of file urdf.h.

typedef boost::property_tree::ptree AL::urdf::ptree

Definition at line 60 of file urdf.h.

## Function Documentation

ALMATH_API std::string AL::urdf::child_link | ( | const ptree & | pt | ) |

bool AL::urdf::is_identity | ( | const Pose & | p | ) |
| inline

Definition at line 344 of file urdf.h.

bool AL::urdf::is_ones | ( | const Array3d & | a | ) |
| inline

Definition at line 72 of file urdf.h.

bool AL::urdf::is_zero | ( | const Array3d & | a | ) |
| inline

Definition at line 68 of file urdf.h.

ALMATH_API std::vector<std::string> AL::urdf::makeContinuousJointsFixed | ( | RobotTree & | parser | ) |

ALMATH_API void AL::urdf::makeJointFixed | ( | RobotTree & | parser,
|  | const std::string & | name
| ) |  |

ALMATH_API void AL::urdf::makeJointFloating | ( | RobotTree & | parser,
|  | const std::string & | name
| ) |  |

ALMATH_API std::vector<std::string> AL::urdf::makeMasslessJointsFixed | ( | RobotTree & | parser | ) |

ALMATH_API std::string AL::urdf::name | ( | const ptree & | pt | ) |

bool AL::urdf::operator!= | ( | const Pose & | lhs,
|  | const Pose & | rhs
| ) |  |
| inline

Definition at line 340 of file urdf.h.

bool AL::urdf::operator== | ( | const Pose & | lhs,
|  | const Pose & | rhs
| ) |  |
| inline

Definition at line 337 of file urdf.h.

ALMATH_API std::string AL::urdf::parent_link | ( | const ptree & | pt | ) |

ALMATH_API void AL::urdf::put_name | ( | ptree & | pt,
|  | const std::string & | name
| ) |  |

ALMATH_API std::vector<std::string> AL::urdf::removeSubTreeIfJoint | ( | RobotTree & | parser,
|  | std::function< bool(const ptree &joint)> | pred
| ) |  |

ALMATH_API void AL::urdf::squashFixedJointsMass | ( | RobotTree & | parser | ) |

ALMATH_API void AL::urdf::squashJointMass | ( | RobotTree & | parser,
|  | const std::string & | name
| ) |  |